package api

import (
	"github.com/kataras/iris/v12"
)

func File(party iris.Party) {
	party.Get("/upload", getRootFile)
	party.Get("/upload/{path:path}", getFile)
	party.Post("/upload/{path:path}", uploadDir)
	party.Post("/upload-file/{path:path}", uploadFile)
	party.Delete("/upload/{path:path}", deleteFile)
	party.Post("/static/avatar", uploadAvatar)
	party.Get("/download/{path:path}", downloadFile)
	party.Get("/download-video-check/{path:path}", getDownloadFileType)
	party.Get("/download-video/{path:path}", downloadVideo)
}
